Bug 203418 - [Update]math/R: Update to 3.2.2
Summary: [Update]math/R: Update to 3.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-28 15:50 UTC by Wen Heping
Modified: 2015-11-28 14:31 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (bf)


Attachments
diff file (13.52 KB, text/plain)
2015-09-28 15:50 UTC, Wen Heping
no flags Details
Make portlint happier (6.88 KB, patch)
2015-10-12 10:06 UTC, TAKATSU Tomonari
no flags Details | Diff
Make portlint happier (3.35 KB, patch)
2015-10-12 10:45 UTC, TAKATSU Tomonari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wen Heping freebsd_committer 2015-09-28 15:50:42 UTC
Created attachment 161497 [details]
diff file

Update math/R to 3.2.2
Comment 1 Adam Mackler 2015-10-02 21:10:23 UTC
I just applied this patch on FreeBSD 10.2-RELEASE, compiled and installed R version 3.2.2.  So far it seems to be working.  THANK YOU!!!!
Comment 2 Harrison Grundy 2015-10-02 21:19:49 UTC
(In reply to Wen Heping from comment #0)

Greatly Appreciated! Thanks. Closing 195783 and pointing it here.
Comment 3 TAKATSU Tomonari freebsd_committer 2015-10-12 10:06:30 UTC
Created attachment 161935 [details]
Make portlint happier
Comment 4 TAKATSU Tomonari freebsd_committer 2015-10-12 10:45:32 UTC
Created attachment 161936 [details]
Make portlint happier

Improve following portlint warnings.

WARN: Makefile: [332]: use ${VARIABLE}, instead of $(VARIABLE).
WARN: Makefile: [354]: do not use muted INSTALL_foo commands (i.e., those that start with '@').  These should be printed.
WARN: Makefile: extra item placed in the *_DEPENDS section, for example, "CONFIGURE_ENV".
WARN: /usr/ports/math/R/files/patch-src__nmath__standalone__test.c: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
Comment 5 TAKATSU Tomonari freebsd_committer 2015-10-26 07:59:49 UTC
After applying these patches, we can update math/R-can-car and devel/R-cran-caret.
Please consider expiration date 2015-10-31.
Comment 6 commit-hook freebsd_committer 2015-10-27 08:22:25 UTC
A commit references this bug:

Author: wen
Date: Tue Oct 27 08:21:26 UTC 2015
New revision: 400221
URL: https://svnweb.freebsd.org/changeset/ports/400221

Log:
  - Update to 3.2.2

  PR:		203418
  Submitted by:	wen@(myself)
  Reviewed by:	tota@
  Approved by:	maintainer(timeout, > 25 days)
  Thanks to:	freebsd-bugs@mackler.org harrison.grundy@astrodoggroup.com

Changes:
  head/math/R/Makefile
  head/math/R/distinfo
  head/math/R/files/patch-configure
  head/math/R/files/patch-src__nmath__standalone__test.c
  head/math/R/files/patch-src_extra_tre_tre-internal.h
  head/math/R/pkg-plist
Comment 7 commit-hook freebsd_committer 2015-11-28 14:31:20 UTC
A commit references this bug:

Author: dbn
Date: Sat Nov 28 14:30:41 UTC 2015
New revision: 402534
URL: https://svnweb.freebsd.org/changeset/ports/402534

Log:
  math/R-cran-car: update to 2.1-0

  Changes:
   - Remove port's broken and depreciated status
   - Add two dependencies
   - Add GPLv3 as dual license
   - Update website URL

  Change Log:
   - New power family called skewPower has been added that can be used with the
     Box Cox method with a few negative responses (joint work with Doug Hawkins).
     Several functions modified to accomodate two-parameter power families.
   - Fixed bug in Anova() for coxph models with clusters (reported by Jesus
     Humberto Gomez ), due apparently to a change in coxph().
   - Anova() F-tests for binomial and Poisson GLMs now changes
     error.estimate="dispersion" to "pearson" as advertized (bug reported by
     Will Petry).
   - Improved behavior of above-plot legends in scatterplot().
   - Fixed sp() (bug reported by Cesar Rabak).
   - Conforms to new CRAN requirements for package imports.

  Reported by:	tota@
  PR:		203418
  PR:		204587

Changes:
  head/math/R-cran-car/Makefile
  head/math/R-cran-car/distinfo
  head/math/R-cran-car/pkg-descr